## GnomeDbEntryCommonTime

GnomeDbEntryCommonTime — Base class for time related data entry widgets

## Synopsis

                        GnomeDbEntryCommonTime;
                        GnomeDbEntryCommonTimeClass;
                        GnomeDbEntryCommonTimePrivate;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkViewport
                                           +----GnomeDbEntryShell
                                                 +----GnomeDbEntryWrapper
                                                       +----GnomeDbEntryCommonTime
                                                             +----GnomeDbEntryTime
                                                             +----GnomeDbEntryDate
                                                             +----GnomeDbEntryTimestamp

## Implemented Interfaces

GnomeDbEntryCommonTime implements AtkImplementorIface, GtkCellEditable and GnomeDbDataEntry.

## Properties

      "editing-cancelled"        gboolean              : Read
      "type"                     guint                 : Write

## Description

## Details

### GnomeDbEntryCommonTime

    typedef struct _GnomeDbEntryCommonTime GnomeDbEntryCommonTime;

### GnomeDbEntryCommonTimeClass

    typedef struct {
    	GnomeDbEntryWrapperClass         parent_class;
    } GnomeDbEntryCommonTimeClass;

### GnomeDbEntryCommonTimePrivate

    typedef struct _GnomeDbEntryCommonTimePrivate GnomeDbEntryCommonTimePrivate;

## Property Details

### The "`editing-cancelled`" property

      "editing-cancelled"        gboolean              : Read

Default value: FALSE

### The "`type`" property

      "type"                     guint                 : Write

Default value: 134677992